import * as React from 'react';
import { MaxWidthProps, TextAlignProps } from 'styled-system';
import { DefaultProps, RenditionSystemProps, Theme } from '../common-types';
export interface InternalContainerProps extends DefaultProps, MaxWidthProps, TextAlignProps {
}
export interface ThemedContainerProps extends InternalContainerProps {
    theme: Theme;
}
export declare type ContainerProps = InternalContainerProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<ContainerProps>;
export default _default;
