import * as React from 'react';
import { DefaultProps, RenditionSystemProps } from '../common-types';
export interface InternalTextareaProps extends DefaultProps {
    monospace?: boolean;
    autoComplete?: string;
    autoFocus?: boolean;
    cols?: number;
    dirName?: string;
    disabled?: boolean;
    form?: string;
    maxLength?: number;
    minLength?: number;
    name?: string;
    placeholder?: string;
    readOnly?: boolean;
    required?: boolean;
    rows?: number;
    value?: string;
    wrap?: string;
    onChange?: React.ChangeEventHandler<HTMLTextAreaElement>;
    autoRows?: boolean;
    maxRows?: number;
    minRows?: number;
}
export declare type TextareaProps = InternalTextareaProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<TextareaProps>;
export default _default;
