import * as tslib_1 from "tslib";
import * as React from 'react';
export var Async = function (importComponent) {
    return (function (_super) {
        tslib_1.__extends(class_1, _super);
        function class_1() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.displayName = importComponent;
            _this.state = {
                component: null,
            };
            return _this;
        }
        class_1.prototype.componentDidMount = function () {
            var _this = this;
            importComponent().then(function (cmp) {
                _this.setState({ component: cmp.default });
            });
        };
        class_1.prototype.render = function () {
            var Component = this.state.component;
            return Component ? React.createElement(Component, tslib_1.__assign({}, this.props)) : null;
        };
        return class_1;
    }(React.Component));
};
