"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var noop_1 = __importDefault(require("lodash/noop"));
var React = __importStar(require("react"));
var close_1 = __importDefault(require("react-icons/lib/fa/close"));
var styled_components_1 = __importDefault(require("styled-components"));
var __1 = require("../../");
var Grid_1 = require("../Grid");
var ButtonWrapper = styled_components_1.default.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tfont-size: 13px;\n\tmin-height: 22px;\n\tborder: 0;\n\tborder-radius: 3px;\n\tbackground-color: #e9e9e9;\n\tpadding: 3px 8px;\n"], ["\n\tfont-size: 13px;\n\tmin-height: 22px;\n\tborder: 0;\n\tborder-radius: 3px;\n\tbackground-color: #e9e9e9;\n\tpadding: 3px 8px;\n"])));
var WrappingEm = styled_components_1.default.em(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\twhite-space: pre-wrap;\n"], ["\n\twhite-space: pre-wrap;\n"])));
var DeleteButton = styled_components_1.default(__1.Button)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n\tcolor: rgba(0, 0, 0, 0.4);\n"], ["\n\tcolor: rgba(0, 0, 0, 0.4);\n"])));
var FilterDescriptionInner = function (props) { return (React.createElement(Grid_1.Box, null,
    !!props.filter.anyOf &&
        props.filter.anyOf.map(function (f, i) { return (React.createElement(React.Fragment, { key: i },
            i > 0 && React.createElement(WrappingEm, null, " or "),
            React.createElement("span", null, f ? f.description : ''))); }),
    !props.filter.anyOf && React.createElement("span", null, props.filter.description))); };
var FilterDescription = function (props) {
    return (React.createElement("div", null,
        React.createElement(ButtonWrapper, { onClick: !!props.edit ? props.edit : noop_1.default },
            React.createElement(Grid_1.Flex, null,
                React.createElement(FilterDescriptionInner, { filter: props.filter }))),
        !!props.delete && (React.createElement(DeleteButton, { plain: true, p: 1, fontSize: 1, ml: 1, color: props.dark ? '#fff' : undefined, onClick: props.delete },
            React.createElement(close_1.default, null)))));
};
exports.default = FilterDescription;
var templateObject_1, templateObject_2, templateObject_3;
