"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var grommet_1 = require("grommet");
var map_1 = __importDefault(require("lodash/map"));
var React = __importStar(require("react"));
var asRendition_1 = __importDefault(require("../asRendition"));
var TabsBase = function (_a) {
    var children = _a.children, tabs = _a.tabs, props = __rest(_a, ["children", "tabs"]);
    return (React.createElement(grommet_1.Tabs, __assign({ justify: "start" }, props), map_1.default(children, function (child, index) {
        return (React.createElement(grommet_1.Tab, { key: tabs[index], title: tabs[index] }, child));
    })));
};
exports.default = asRendition_1.default(TabsBase);
